Bug 254443 - x11-wm/pekwm - update WWW in pkg-descr
Summary: x11-wm/pekwm - update WWW in pkg-descr
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-20 20:50 UTC by Herbert J. Skuhra
Modified: 2021-03-22 09:38 UTC (History)
3 users (show)

See Also:
natbsd: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Herbert J. Skuhra 2021-03-20 20:50:42 UTC
From <https://pekdon.github.io/posts/pekwm-development-reboot/>:

Worth nothing is that the .org page has been taken over by some dubious hoster claiming pekwm has VPS support!? and links to hostingsonar.com (broken), this will be replaced with the .se domain pekwm.se. The official pekwm page currently is the Github page https://github.com/pekdon/pekwm.


Index: x11-wm/pekwm/Makefile
===================================================================
--- x11-wm/pekwm/Makefile       (revision 568865)
+++ x11-wm/pekwm/Makefile       (working copy)
@@ -4,7 +4,7 @@
 PORTNAME=      pekwm
 DISTVERSIONPREFIX=     release-
 DISTVERSION=   0.1.17
-PORTREVISION=  5
+PORTREVISION=  6
 PORTEPOCH=     1
 CATEGORIES=    x11-wm
 
Index: x11-wm/pekwm/pkg-descr
===================================================================
--- x11-wm/pekwm/pkg-descr      (revision 568865)
+++ x11-wm/pekwm/pkg-descr      (working copy)
@@ -11,4 +11,4 @@
   they should when starting applications.
 o Chainable Keygrabber, usability for everyone.
 
-WWW: http://pekwm.org/
+WWW: https://www.pekwm.se/


Btw. latest version of pekwm is 0.1.18 (released Nov 1st, 2020).
Comment 1 Natacha Porté 2021-03-21 10:45:22 UTC
I'm fine with the patch, and thanks a lot for letting me know about the new site :-)

I will soon be spending time with the new pekwm version, checking that the port actually works with it and it's fine for daily use, then I'll update the port (unless someone else beats me to it).

At this point I'm not sure exactly what I should do, regarding the FreeBSD port process, and I can't find much documentation regarding maintainer's role.

I think the above is enough feedback for warrant `maintainer-feedback +` (please correct me if I'm wrong), I'm aware that at some point I should add `mainatainer-approval +` but I can't find its exact semantics (am I supposed to check that it builds first? or even run it on my machine?).

Any documentation pointer that I can re-use for the other ports that I "maintain" (they are unpopular stable ports, so I'm not spending much time on it, hence my ignorance) will be very appreciated.
Comment 2 commit-hook freebsd_committer 2021-03-22 09:16:57 UTC
A commit references this bug:

Author: lbartoletti
Date: Mon Mar 22 09:16:16 UTC 2021
New revision: 568944
URL: https://svnweb.freebsd.org/changeset/ports/568944

Log:
  x11-wm/pekwm - update WWW

  Worth nothing is that the .org page has been taken over by some dubious hoster
  claiming pekwm has VPS support!? and links to hostingsonar.com (broken), this
  will be replaced with the .se domain pekwm.se. The official pekwm page
  currently is the Github page https://github.com/pekdon/pekwm.

  Information taken from https://pekdon.github.io/posts/pekwm-development-reboot/

  PR:	254443
  Reported by:	Herbert J. Skuhra <herbert@mailbox.org>
  Approved by:	Natacha Port? <natbsd@instinctive.eu> (maintainer)

Changes:
  head/x11-wm/pekwm/pkg-descr
Comment 3 Loïc Bartoletti freebsd_committer 2021-03-22 09:38:14 UTC
Committed, thanks!